View Issue Details

IDProjectCategoryView StatusLast Update
0021234FPCCompilerpublic2019-07-17 17:01
ReporterJC ChuAssigned ToSven Barth 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionno change required 
Platformx86_64OSWindows NTOS Version6.1.7601
Product Version2.7.1Product Build 
Target VersionFixed in Version3.2.0 
Summary0021234: Class-local THREADVAR not supported
DescriptionWhile support for class-local types, variables, constants, and properties are present, THREADVARs seem to have been forgotten.
Steps To ReproduceSee the attached file.
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Activities

2012-02-06 20:04

 

ClassLocalThreadvar.p (118 bytes)

Kai Burghardt

2019-07-16 16:51

reporter   ~0117273

Are revisions 39285 – 39289 resolving this issue? Compare Wiki article “FPC new features in trunk”
https://wiki.freepascal.org/index.php?title=FPC_New_Features_Trunk&oldid=125781#Support_for_threadvar_sections_inside_class_and_record_types
(diff: https://wiki.freepascal.org/index.php?title=FPC_New_Features_Trunk&diff=118287&oldid=118250)

Thaddy de Koning

2019-07-17 16:55

reporter   ~0117280

This should probably be closed. I am not sure it made it to 3.2.0 but it is in trunk.
See https://wiki.freepascal.org/FPC_New_Features_Trunk#Support_for_threadvar_sections_inside_class_and_record_types

Sven Barth

2019-07-17 17:01

manager   ~0117281

3.2.0 was branched after the feature was added, so yes, it's in 3.2.0 (the New Features 3.2.0 wiki page has not yet been created)

Issue History

Date Modified Username Field Change
2012-02-06 20:04 JC Chu New Issue
2012-02-06 20:04 JC Chu File Added: ClassLocalThreadvar.p
2019-07-16 16:51 Kai Burghardt Note Added: 0117273
2019-07-17 16:55 Thaddy de Koning Note Added: 0117280
2019-07-17 17:01 Sven Barth Assigned To => Sven Barth
2019-07-17 17:01 Sven Barth Status new => resolved
2019-07-17 17:01 Sven Barth Resolution open => no change required
2019-07-17 17:01 Sven Barth Fixed in Version => 3.2.0
2019-07-17 17:01 Sven Barth FPCTarget => -
2019-07-17 17:01 Sven Barth Note Added: 0117281